> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Token

> This endpoint validates the access token and retrieves the associated `clientId` and `organizationId`.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- SERVER_ERROR



## OpenAPI

````yaml post /v1/oauth2/test-token
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/oauth2/test-token:
    post:
      tags:
        - Authentication
      summary: Test Token
      description: >-
        This endpoint validates the access token and retrieves the associated
        `clientId` and `organizationId`.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - REQUEST_VALIDATION_ERROR

        - SERVER_ERROR
      operationId: test_token_v1_oauth2_test_token_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIAccess'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    APIAccess:
      properties:
        clientId:
          type: string
          title: Client ID
          description: Your client ID.
        organizationId:
          type: string
          title: Organization ID
          description: ID of your organization.
      type: object
      required:
        - clientId
        - organizationId
      title: APIAccess
      description: Schema of APIAccess. Contains info about the authenticated APIAccess.
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````